(function($){
    $(document).ready(function(){
        var defaults = window.plg_content_beforeafter;
        var overrides = ['animateIntro', 'introDelay', 'introDuration', 'showFullLinks', 'imagePath', 'introPosition', 'beforeLinkText', 'afterLinkText', 'cursor', 'clickSpeed', 'linkDisplaySpeed', 'dividerColor', 'enableKeyboard', 'keypressAmount', 'onReady'];
        var jtext = (typeof Joomla.JText._ === 'function')?true:false;
        defaults.beforeLinkText = jtext?Joomla.JText._('PLG_CONTENT_BEFOREAFTER_LINKBEFORETEXT'):Joomla.JText.PLG_CONTENT_BEFOREAFTER_LINKBEFORETEXT;
        defaults.afterLinkText = jtext?Joomla.JText._('PLG_CONTENT_BEFOREAFTER_LINKAFTERTEXT'):Joomla.JText.PLG_CONTENT_BEFOREAFTER_LINKAFTERTEXT;
        var options, override;
        $('.plg_content_beforeafter').each(function(i,el){        
            config = $.extend({},defaults);   
            for(var i in overrides) {
                if(typeof(overrides[i]) !== 'string') continue;
                override = $(el).data(overrides[i].toLowerCase());
                if(override === undefined) continue;
                switch(overrides[i]) {
                    case 'onReady':
                        config[overrides[i]] = new Function(override);
                        break;
                    default:
                        config[overrides[i]] = override;
                        break;
                }
            }
            $(el).beforeAfter(config);
        });
    });
})(jQuery);